unit fDefine2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TEditaceFunkceForm = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    GroupBox1: TGroupBox;
    edtTransmitString: TEdit;
    edtTransmitHex: TEdit;
    StaticText1: TStaticText;
    StaticText2: TStaticText;
    procedure FormShow(Sender: TObject);
    procedure edtTransmitStringChange(Sender: TObject);
    procedure edtTransmitHexChange(Sender: TObject);
  private
    Changing: Boolean;
  public
    { Public declarations }
  end;

var
  EditaceFunkceForm: TEditaceFunkceForm;

implementation

{$R *.DFM}

uses fMain;

procedure TEditaceFunkceForm.FormShow(Sender: TObject);
begin
  edtTransmitString.SetFocus;
end;

procedure TEditaceFunkceForm.edtTransmitStringChange(Sender: TObject);
begin
  if not Changing then
  begin
    Changing := True;
    edtTransmitHex.Text := HexToStr(FromFilteredString(edtTransmitString.Text));
    Changing := False;
  end;
end;

procedure TEditaceFunkceForm.edtTransmitHexChange(Sender: TObject);
begin
  if not Changing then
  begin
    Changing := True;
    edtTransmitString.Text := ToFilteredString(StrToHex(edtTransmitHex.Text));
    Changing := False;
  end;
end;

end.
